# -*- coding:Utf-8 -*-
#!/usr/bin/python

# \copyleft Denis LE FUR \copyright
# This work may be distributed and/or mofified under the conditions
# or the LaTeX Project Public Licence, either v1.3 or (at your option)
# any later version. The latest version is in
#   http://www.latex-project.org/lppl/
# This work consists of the files pro-sortie.py.

import pygtk
pygtk.require("2.0")
import gtk	

import os
import sys

sys.path.append("../Divers/")
from pro_divers import *


#-------------------------------------------------------------	
def ecrire_codeprofessor(Texte):
	fichier=open("../Sortie/codeprofessor.tex", "w")
	fichier.write(Texte)
	fichier.close()
	
#-------------------------------------------------------------	
def ecrire_enteteprofessor(Texte):
	fichier=open("../Sortie/enteteprofessor.tex", "w")
	fichier.write(Texte)
	fichier.close()	
	
#-------------------------------------------------------------	
def ecrire_codesupp(Texte):
	fichier=open("../Sortie/codesupp.tex", "w")
	fichier.write(Texte)
	fichier.close()		

#-------------------------------------------------------------	
def compiler(TypeCompil):
	if (TypeCompil=="mp"):
		os.system("sh ../SystemeLinux/compiler_mp.sh")
	else:
		os.system("sh ../SystemeLinux/compiler_asy.sh")
	
#-------------------------------------------------------------	
def afficher(TypeCompil,TypeDessin):
	if (TypeCompil=="mp"):
		cheminfichier = "../Sortie/sortie_mp_"+TypeDessin+".0"
		if os.path.isfile(cheminfichier)==True:
			os.system("sh ../SystemeLinux/afficher_mp.sh")
		else:
			#creation de la boite de message
			about = gtk.MessageDialog(None,gtk.DIALOG_MODAL,gtk.MESSAGE_WARNING,gtk.BUTTONS_OK,"Une erreur s'est produit à la compilation.")
			# Affichage de la boite de message
			about.run()
			# Destruction de la boite de message
			about.destroy()
	else:
		cheminfichier = "../Sortie/sortie_asy_"+TypeDessin+".pdf"
		if os.path.isfile(cheminfichier)==True:
			os.system("sh ../SystemeLinux/afficher_asy.sh")
		else:
			#creation de la boite de message
			about = gtk.MessageDialog(None,gtk.DIALOG_MODAL,gtk.MESSAGE_WARNING,gtk.BUTTONS_OK,"Une erreur s'est produit à la compilation.")
			# Affichage de la boite de message
			about.run()
			# Destruction de la boite de message
			about.destroy()	
			
#-------------------------------------------------------------	
def afficher_tableval():			
        cheminfichier = "../Sortie/sortie_mp.pdf"
        if os.path.isfile(cheminfichier)==True:
                os.system("sh ../SystemeLinux/afficher_mp.sh")
	else:
		#creation de la boite de message
		about = gtk.MessageDialog(None,gtk.DIALOG_MODAL,gtk.MESSAGE_WARNING,gtk.BUTTONS_OK,"Une erreur s'est produit à la compilation.")
		# Affichage de la boite de message
		about.run()
		# Destruction de


			
#-------------------------------------------------------------	
def afficher_codeTex(Etat_Compilation):

	cheminfichier = "../Sortie/sortie_mp_tableval1.tex"
	if os.path.isfile(cheminfichier)==True  and Etat_Compilation==True:
		os.system("gnome-open ../Sortie/sortie_mp_tableval1.tex")
	else:
	#creation de la boite de message
		about = gtk.MessageDialog(None,gtk.DIALOG_MODAL,gtk.MESSAGE_WARNING,gtk.BUTTONS_OK,"Le fichier graphique n'existe pas ou n'est pas à jour.\nVeuillez appuyez sur la touche \"Compilation\".")
		# Affichage de la boite de message
		about.run()
		# Destruction de la boite de message
		about.destroy()
		

			
#-------------------------------------------------------------	
def afficher_codegraphique(TypeCompil,TypeDessin,Etat_Compilation):
	if (TypeCompil=="mp"):
		cheminfichier = "../Sortie/sortie_mp_"+TypeDessin+".0"
		if os.path.isfile(cheminfichier)==True  and Etat_Compilation==True:
			cheminfichier = "../Sortie/sortie_mp_"+TypeDessin+".mp"
			fichier=open(cheminfichier, "r")
			Texte=fichier.read();
			if TypeDessin=="Tab":
				Texte=Texte.replace("input tableauVariation;","input tableauVariation;\n")
				Texte=Texte.replace("beginTableau(0)","\n\n%--------------------------\nbeginTableau(0)")
				Texte=Texte.replace("newLigneSignes","\n\n%--------------------------\nnewLigneSignes")
				Texte=Texte.replace("val","\nval")
				Texte=Texte.replace("moins","\nmoins")
				Texte=Texte.replace("barre;","\nbarre;")
				Texte=Texte.replace("plus","\nplus")
				Texte=Texte.replace("nonDefBarre;","\nnonDefBarre;")
				Texte=Texte.replace("newLigneVariations","\n\n%--------------------------\nnewLigneVariations")
				Texte=Texte.replace("valPos","\nvalPos")
				Texte=Texte.replace("limGauche","\nlimGauche")
				Texte=Texte.replace("limDroite","\nlimDroite")
				Texte=Texte.replace("endTableau;","\nendTableau;\n\n%--------------------------\nend;")
				Texte=Texte.replace("newLigneVariables","\n\n%--------------------------\nnewLigneVariables")
				#Texte=Texte.replace("","")
				fichier_mp=open("../Sortie/figure.mp","w")
				commentaire='''%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
% Fichier créé par professor_GUI, développé par Denis LE FUR.
% Le module pro-tablor a été développé par Guillaume CONNAN.
% Le module tableauVariation a été développé par Frédéric MAZOIT.
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

'''
				fichier_mp.write(commentaire)
				fichier_mp=open("../Sortie/figure.mp","a")
			else:
				Texte=Texte.replace("dlf_tex","dlf_texperso")
				fichier_mp=open("../Sortie/figure.mp","w")
				commentaire='''%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
% Fichier créé par professor_GUI, développé par Denis LE FUR
% Les fichiers dlf_* sont disponibles ici :
% http://download.tuxfamily.org/mathsp/Professor/dlf_mp.zip
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

'''
				fichier_mp.write(commentaire)
				fichier_mp=open("../Sortie/figure.mp","a")
			fichier_mp.write(Texte)
			fichier_mp.close()
			os.system("gnome-open ../Sortie/figure.mp")
		else:
			#creation de la boite de message
			about = gtk.MessageDialog(None,gtk.DIALOG_MODAL,gtk.MESSAGE_WARNING,gtk.BUTTONS_OK,"Le fichier graphique n'existe pas ou n'est pas à jour.\nVeuillez appuyez sur la touche \"Compilation\".")
			# Affichage de la boite de message
			about.run()
			# Destruction de la boite de message
			about.destroy()
	else:
		cheminfichier = "../Sortie/sortie_asy_"+TypeDessin+".pdf"
		if os.path.isfile(cheminfichier)==True  and Etat_Compilation==True:
			cheminfichier = "../Sortie/sortie_asy_"+TypeDessin+".asy"
			fichier=open(cheminfichier, "r")
			Texte=fichier.read();
			fichier_asy=open("../Sortie/figure.asy","w")
			commentaire='''//////////////////////////////////////////////////////////////////////////////
//
// Fichier créé par professor_GUI, développé par Denis LE FUR
// Les fichiers dlf_* sont disponibles ici :
// http://download.tuxfamily.org/mathsp/Professor/dlf_asy.zip
//
//////////////////////////////////////////////////////////////////////////////

'''

			fichier_asy.write(commentaire)
			fichier_asy=open("../Sortie/figure.asy","a")
			fichier_asy.write(Texte)
			fichier_asy.close()
			os.system("gnome-open ../Sortie/figure.asy")	
		else:
			#creation de la boite de message
			about = gtk.MessageDialog(None,gtk.DIALOG_MODAL,gtk.MESSAGE_WARNING,gtk.BUTTONS_OK,"Le fichier graphique n'existe pas ou n'est pas à jour.\nVeuillez appuyez sur la touche \"Compilation\".")
			# Affichage de la boite de message
			about.run()
			# Destruction de la boite de message
			about.destroy()	
			
			
			
#-------------------------------------------------------------	
def afficher_imagepng(TypeCompil,TypeDessin,Etat_Compilation):
	if (TypeCompil=="mp"):
		cheminfichier = "../Sortie/sortie_mp_"+TypeDessin+".0"
		if os.path.isfile(cheminfichier)==True and Etat_Compilation==True:
			cheminfichier = "../Sortie/sortie_mp_"+TypeDessin
			commande="sh ../SystemeLinux/convertir_mp_png.sh "+cheminfichier
			os.system(commande)
			os.system("gnome-open ../Sortie/figure.png&")
		else:
			#creation de la boite de message
			about = gtk.MessageDialog(None,gtk.DIALOG_MODAL,gtk.MESSAGE_WARNING,gtk.BUTTONS_OK,"Le fichier graphique n'existe pas ou n'est pas à jour.\nVeuillez appuyez sur la touche \"Compilation\".")
			# Affichage de la boite de message
			about.run()
			# Destruction de la boite de message
			about.destroy()
	else:
		cheminfichier = "../Sortie/sortie_asy_"+TypeDessin+".pdf"
		if os.path.isfile(cheminfichier)==True and Etat_Compilation==True:
			cheminfichier = "../Sortie/sortie_asy_"+TypeDessin
			commande="sh ../SystemeLinux/convertir_asy_png.sh "+cheminfichier
			os.system(commande)
			os.system("gnome-open ../Sortie/figure.png&")
		else:
			#creation de la boite de message
			about = gtk.MessageDialog(None,gtk.DIALOG_MODAL,gtk.MESSAGE_WARNING,gtk.BUTTONS_OK,"Le fichier graphique n'existe pas ou n'est pas à jour.\nVeuillez appuyez sur la touche \"Compilation\".")
			# Affichage de la boite de message
			about.run()
			# Destruction de la boite de message
			about.destroy()			

